{
  config,
  pkgs,
  lib,
  ...
}:
let
  cfg = config.krop.de.cosmic;
in
{
  options.krop.de.cosmic = {
    enable = lib.mkOption {
      type = lib.types.bool;
      default = false;
      example = true;
      description = "Enable cosmic";
    };
  };
  config = lib.mkIf cfg.enable {
    services.desktopManager.cosmic.enable = true;
  };
}
